Bug 835322 - There is no entry validation for email address when creating a user
There is no entry validation for email address when creating a user
Product: Katello
Classification: Community
Component: WebUI (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Suchý
Katello QA List
Depends On:
  Show dependency treegraph
Reported: 2012-06-25 20:56 EDT by Og Maciel
Modified: 2012-10-29 10:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-29 10:32:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-06-25 20:56:41 EDT
Description of problem:

There is no entry validation for email address when creating a user

Version-Release number of selected component (if applicable):

* candlepin-0.6.5-1.el6_2.noarch
* candlepin-tomcat6-0.6.5-1.el6_2.noarch
* katello-0.1.318-1.el6cf.noarch
* katello-all-0.1.318-1.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.0.7-1.el6_3.noarch
* katello-cli-0.1.112-1.el6cf.noarch
* katello-cli-common-0.1.112-1.el6cf.noarch
* katello-common-0.1.318-1.el6cf.noarch
* katello-configure-0.1.110-1.el6_3.noarch
* katello-glue-candlepin-0.1.318-1.el6cf.noarch
* katello-glue-foreman-0.1.318-1.el6cf.noarch
* katello-glue-pulp-0.1.318-1.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-0.1.10-1.el6.noarch
* pulp-1.0.4-1.el6.noarch
* pulp-common-1.0.4-1.el6.noarch
* pulp-selinux-server-1.0.4-1.el6.noarch

How reproducible:

Steps to Reproduce:
1. As the administrator, go to the new Users panel
2. Click the New User button
3. Enter a valid username
4. Type a valid password and repeat for the confirmation field
5. Enter an invalid email: foobar.com
6. Optionally, choose a default organization
7. Click the save button
Actual results:

The user account gets created.

Expected results:

There should be some type of validation where a valid email is required in order to complete the user creation process. If one then needs to request for the password to be reset, there won't be a valid email to send the information to.

Additional info:
Comment 1 Miroslav Suchý 2012-06-26 02:57:12 EDT
This does not need to be fixed in and backported to CF-SE. Changing product in Katello.
Comment 2 Miroslav Suchý 2012-06-26 03:03:22 EDT
I never seen perfect email filter in my life (and yes, foobar.com can be valid email - resolves to user foobar.com at localhost). And I would much rather see dozen non-valid emails accepted, then one valid email rejected.

I would suggest to either not resolving this. Or fix it as <input type="email"> which is new in HTML5. Older browser should threat unknow type as "text" so there should be no regression and HTML5 capable browsers should do their own validation (which would be not our problem).
Comment 3 Miroslav Suchý 2012-06-26 04:24:51 EDT
commit 77b7d50
Comment 4 Lukas Zapletal 2012-10-29 10:32:17 EDT
Part of Katello 1.1 release

Note You need to log in before you can comment on or make changes to this bug.